import 'package:betting/view/mobile/favourites_view/matches_view/list_fixtures/fixtures_tournaments/fixtures_tournaments.dart';
import 'package:betting/view/mobile/find/detail_player/detail_matches/matches_player_page.dart';
import 'package:betting/view/mobile/find/detail_player/detail_player_page.dart';
import 'package:betting/view/mobile/find/find_page.dart';
import 'package:betting/view/mobile/find/list_regions/detail_regions/detail_matches_in_regions/detail_matches_regions_page.dart';
import 'package:betting/view/mobile/find/list_regions/list_regions_page.dart';
import 'package:betting/view/mobile/home_page/automatic_refresh/automatic_refresh_page.dart';
import 'package:betting/view/mobile/home_page/setting_notify/category/categoty_page.dart';
import 'package:betting/view/mobile/home_page/setting_notify/in_app_notifications/in_app_notifcation_page.dart';
import 'package:betting/view/mobile/home_page/setting_notify/notification_preferences/notifications_preferences_page.dart';
import 'package:betting/view/mobile/scores/football/detail_tournament/detail_tournament_page.dart';
import 'package:get/get.dart';
import '../binding/Splash_binding.dart';
import '../binding/dashboard_binding.dart';
import '../view/mobile/favourites_view/teams/team_info_view/team_info_view.dart';
import '../view/mobile/home_page/default_sport/default_sport_page.dart';
import '../view/mobile/home_page/home_page.dart';
import '../view/mobile/home_page/preferences/preferences_page.dart';
import '../view/mobile/home_page/setting_notify/setting_notify_page.dart';
import '../view/mobile/news/detail_news/detail_news_page.dart';
import '../view/mobile/splash/add_competitions/add_competitions_page.dart';
import '../view/mobile/splash/follow_teams/follow_teams_page.dart';
import '../view/mobile/splash/notification_settings/notification_settings_page.dart';
import '../view/mobile/splash/splash_page.dart';
import '../view/mobile/splash/started/started_page.dart';


part './app_routes.dart';

class AppPages {
  static final pages = [
    GetPage(
        name: Routes.splash,
        page: () => SplashPage(),
        binding: SplashBinding()),
    GetPage(
        name: Routes.started,
        page: () => StartedPage(),
    ),
    GetPage(
        name: Routes.followTeamsPage,
        page: () => FollowTeamsPage(),
    ),

    GetPage(
        name: Routes.notificationSettingsPage,
        page: () => NotificationSettingsPage(),
    ),
    GetPage(
        name: Routes.addCompetitionsPage,
        page: () => AddCompetitionsPage(),
    ),
    GetPage(
        name: Routes.home,
        page: () => const HomePage(),
      binding: HomeBinding()
    ),
    GetPage(
        name: Routes.detailNews,
        page: () => DetailNewsPage(),
    ),
    GetPage(
        name: Routes.preferencesPage,
        page: () => PreferencesPage(),
    ),
    GetPage(
        name: Routes.automaticRefreshPage,
        page: () => AutomaticRefreshPage(),
    ),
    GetPage(
        name: Routes.defaultSportPage,
        page: () => DefaultSportPage(),
    ),
    GetPage(
        name: Routes.find,
        page: () => FindPage(),
    ),
    GetPage(
        name: Routes.detailTournamentPage,
        page: () => DetailTournamentPage(),
    ),
    GetPage(
        name: Routes.listRegionsPage,
        page: () => ListRegionsPage(),
    ),
    GetPage(
        name: Routes.detailPlayer,
        page: () => DetailPlayerPage(),
    ),
    GetPage(
        name: Routes.matchesPlayer,
        page: () => MatchesPlayerPage(),
    ),
    GetPage(
        name: Routes.detailMatchesRegions,
        page: () => DetailMatchesRegionsPage(),
    ),
    GetPage(
        name: Routes.detailTeams,
        page: () => const TeamsInfoView(),
    ),
    GetPage(
      name: Routes.settingNotifyPage,
      page: () =>  SettingNotifyPage(),
    ),
    GetPage(
      name: Routes.fixturesTournament,
      page: () =>  FixtureTournaments(),
    ),
    GetPage(
      name: Routes.notificationsPreferences,
      page: () =>  NotificationPreferencesPage(),
    ),
    GetPage(
      name: Routes.category,
      page: () =>  CategoryPage(),
    ),
    GetPage(
      name: Routes.inAppNotification,
      page: () =>  InAppNotificationsPage(),
    ),
  ];
}
